Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.tools.maven
Class AbstractOpenJpaMappingToolMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
              org.apache.openjpa.tools.maven.AbstractOpenJpaMappingToolMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  OpenJpaSchemaMojo, OpenJpaSqlMojo

    public abstract class AbstractOpenJpaMappingToolMojo

extends AbstractOpenJpaMojo

Processes Application model classes and generate the DDL by running the OpenJPA MappingTool. We have to split the generation of the SQL files and the mapping info into 2 separate mojos, since the MappingTool struggles to generate both in one step.

Since:
  1.0
Version:
  $Id$

Field Summary
`protected String` | `action` Argument to specify the action to take on each class.
`protected static String` | `OPTION_ACTION` used for passing the action parameter to the mapping tool

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`classes, compileClasspathElements, OPTION_CONNECTION_DRIVER_NAME, OPTION_CONNECTION_PROPERTIES, OPTION_PROPERTIES, OPTION_PROPERTIES_FILE, project`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractOpenJpaMappingToolMojo()`

Method Summary
`void` | `execute()`

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`createOptions, extendRealmClasspath, findEntityClassFiles, getClasspathElements, getEntityClasses, getFilePaths, getOptions, skipMojo`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected String action

  Argument to specify the action to take on each class. The available actions are: buildSchema, validate

### OPTION_ACTION

    protected static final String OPTION_ACTION

  used for passing the action parameter to the mapping tool

  See Also:
    Constant Field Values

Constructor Detail

### AbstractOpenJpaMappingToolMojo

    public AbstractOpenJpaMappingToolMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.